Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class MapExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.MapExpression

    public class MapExpression
    extends Expression

Represents a map expression [1 : 2, "a" : "b", x : y] which creates a mutable Map

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`MapExpression()`
`MapExpression(java.util.List mapEntryExpressions)`

Method Summary
`void` | `addMapEntryExpression(MapEntryExpression expression)`
`void` | `addMapEntryExpression(Expression keyExpression, Expression valueExpression)`
`java.util.List` | `getMapEntryExpressions()`
`java.lang.String` | `getText()`
`boolean` | `isDynamic()`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MapExpression

    public MapExpression()

### MapExpression

    public MapExpression(java.util.List mapEntryExpressions)

Method Detail

### addMapEntryExpression

    public void addMapEntryExpression(MapEntryExpression expression)

### addMapEntryExpression

    public void addMapEntryExpression(Expression keyExpression, Expression valueExpression)

### getMapEntryExpressions

    public java.util.List getMapEntryExpressions()

### getText

    public java.lang.String getText()

### isDynamic

    public boolean isDynamic()

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation